package de.ozgcloud.apilib.file.grpc;

import de.ozgcloud.apilib.file.OzgCloudFileTestFactory;
import de.ozgcloud.vorgang.grpc.file.GrpcOzgFile;

public class GrpcOzgFileTestFactory {

	static GrpcOzgFile create() {
		return createBuilder().build();
	}

	static GrpcOzgFile.Builder createBuilder() {
		return GrpcOzgFile.newBuilder()
				.setId(OzgCloudFileTestFactory.ID.toString())
				.setName(OzgCloudFileTestFactory.NAME)
				.setContentType(OzgCloudFileTestFactory.CONTENT_TYPE)
				.setSize(OzgCloudFileTestFactory.SIZE);
	}
}
