package de.ozgcloud.apilib.alfa.dummy;

import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;

import de.ozgcloud.apilib.alfa.AlfaService;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangId;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangService;
import lombok.extern.java.Log;

@Log
@ConditionalOnMissingBean(OzgCloudVorgangService.class)
public class DummyAlfaService implements AlfaService {

	@Override
	public void addAktenNotiz(OzgCloudVorgangId vorgangId, String text) {
		// does nothing dummy implementation
		LOG.info("Create Note on Alfa: " + text);
	}

}
